Subject: Re: What's cooking in git.git (Sep 2025, #09; Mon, 22)

From: Junio C Hamano <[email-masked]>
Date: Wed, 24 Sep 2025 12:01:51 -0700

SZEDER Gábor <[email-masked]> writes:

>> * jt/odb-transaction (2025-09-16) 7 commits
>>  - odb: add transaction interface
>>  - object-file: update naming from bulk-checkin
>>  - object-file: relocate ODB transaction code
>>  - bulk-checkin: drop flush_odb_transaction()
>>  - builtin/update-index: end ODB transaction when --verbose is specified
>>  - bulk-checkin: remove ODB transaction nesting
>>  - Merge branch 'jt/de-global-bulk-checkin' into jt/odb-transaction
>> 
>>  Continue the work to build on the bulk-checkin infrastructure to
>>  create many objects at once in a transaction and abstract it into
>>  the generic object layer.
>> 
>>  Will merge to 'next'.
>>  source: <[email-masked]>
>
> The merge of this topic into 'jch' modifies 'object-file.c' by
> replacing a call to reprepare_packed_git() with odb_reprepare(), but
> at that point the latter function doesn't exists yet, as it will only
> be introduced in 'ps/packfile-store', which is merged later.

Thanks.  This is because there was a merge-fix defined for this
topic that was written back when this topic were less ready than the
other one.  I'd need to move that merge-fix to the other topic to
correct it.

Thanks for catching while this topic was still outside 'next'.